Skip to main content
Data Protection/Backup Management Interfaces
PUTBackup Management InterfacesSince 3.0.0SynchronousAuth Required

Recover VM Backup

Recover VM Backup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • groupUuidStringRequired

    VM backup group UUID

Body Fields

  • recovervmbackupfromimagestorebackupstorageObjectRequired

    recovervmbackupfromimagestorebackupstorage request body object.

    • srcBackupStorageUuidStringRequired

      Local Image Storage

    • dstBackupStorageUuidStringRequired

      Backup Image Storage

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      The UUID of the disk backup. Uniquely identifies the resource

    • volumeUuidStringRequired

      Disk UUID

    • nameStringRequired

      Backup name

    • descriptionStringRequired

      Detailed description of the backup

    • typeStringRequired

      Disk type

    • stateStringRequired

      The enabled state of the disk backup

    • statusStringRequired

      The status of the disk backup

    • sizeLongRequired

      The size of the current disk backup

    • metadataStringRequired

      Metadata related to the disk backup

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • backupStorageRefsListRequired

      For details, see backupStorageRefs

      • volumeBackupUuidStringRequired

        The UUID of the disk backup

      • backupStorageUuidStringRequired

        Image Storage UUID

      • installPathStringRequired

        The data path of the disk backup

      • statusStringRequired

        The status of the disk backup on the Image Storage

      • createDateTimestampRequired

        Creation time

      • lastOpDateTimestampRequired

        Last modification time

Endpoint

PUT/zstack/v1/vm-backups/{groupUuid}/actions

/zstack/v1/vm-backups/{groupUuid}/actions

Operation ID

RecoverVmBackupFromImageStoreBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-backups/{groupUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"recovervmbackupfromimagestorebackupstorage":{"srcBackupStorageUuid":"<srcBackupStorageUuid>","dstBackupStorageUuid":"<dstBackupStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "5e28a0c27a8e352bbeedff94a0326f9e", "volumeUuid": "aa5fbdba3ffa352bbefaf913f56949f3", "name": "Root-Volume-Backup-1", "description": "volume backup", "size": 1.073741824E9, "groupUuid": "0150a8120f9334db8e9abc9d3f5eea08", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "5924c90ddbcb3784ae6e78b70ede90ce", "volumeUuid": "12d583f519f03a0593dff7514af65be4", "name": "Data-Volume-Backup-1", "description": "volume backup", "size": 2.147483648E9, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history